package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @TableName community_article
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("community_article")
public class CommunityArticle implements Serializable {

    /**
     * 文章id
     */
    @NotNull(message = "[文章id]不能为空")
    @ApiModelProperty("文章id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 创建人id
     */
    @NotNull(message = "[创建人id]不能为空")
    @ApiModelProperty("创建人id")
    private Long userId;
    /**
     * 文章标题
     */
    @NotBlank(message = "[文章标题]不能为空")
    @Size(max = 255, message = "编码长度不能超过255")
    @Length(max = 255, message = "编码长度不能超过255")
    @ApiModelProperty("文章标题")
    private String title;

    /**
     * 分类id
     */
    @ApiModelProperty("分类id")
    @TableField(exist = false)
    private Long classId;

    /**
     * 圈子id
     */
    @ApiModelProperty("圈子id")
    private Long circleId;

    /**
     * 文章内容
     */
    @ApiModelProperty("文章内容")
    private String content;

    /**
     * 文章标签
     */
    @ApiModelProperty("文章标签")
    @TableField(exist = false)
    private List<CommunityTag> tags;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    @TableField(exist = false)
    private List<String> images;

    /**
     * 是否允许评价
     */
    @ApiModelProperty("是否允许评价")
    private boolean isComment;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
