package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 社区聊天信息
* @TableName community_chat_msg
*/
@Data
@TableName("community_chat_msg")
public class CommunityChatMsg implements Serializable {

    /**
    * 唯一Id
    */
    @NotNull(message="[唯一Id]不能为空")
    @TableId("id")
    private Long id;
    /**
    * 内容
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @Length(max= -1,message="编码长度不能超过-1")
    private String content;
    /**
    * 消息发送人id
    */
    private Long senderId;
    /**
    * 消息接收人id
    */
    private Long receiverId;
    /**
    * 创建时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 更新时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
    * 创建人
    */
    private Long createBy;
    /**
    * 更新人
    */
    private Long updateBy;
}
